#ifndef TIMESWITCHERINTERFACEDTO_H
#define TIMESWITCHERINTERFACEDTO_H

#include <QObject>

#include "protocol/dto/DeviceFrameBaseDto.h"

class TimeSwitcherInterfaceDto : public DeviceFrameBaseDto
{
    Q_OBJECT
public:
    explicit TimeSwitcherInterfaceDto(QObject *parent = nullptr);

    QString ctrlStatus; // <1>

    QJsonObject toJSON();
};

#endif // TIMESWITCHERINTERFACEDTO_H
